Skip to main content
GET
/
commerce
/
checkouts
/
{checkoutId}
/
shippingMethods
Error
A valid request URL is required to generate request examples
[
  {
    "groupingId": "<string>",
    "shippingRates": [
      {
        "currencyCode": "<string>",
        "price": 123,
        "data": {},
        "fulfillmentMethod": "<string>",
        "isValid": true,
        "messages": [
          "<string>"
        ],
        "shippingItemRates": [
          {
            "amount": 123,
            "itemId": "<string>",
            "quantity": 123
          }
        ],
        "shippingMethodCode": "<string>",
        "shippingMethodName": "<string>",
        "shippingZoneCode": "<string>"
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

checkoutId
string
required

Unique identifier of the checkout whose shipping methods you want to get.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

Success

groupingId
string | null
shippingRates
object[] | null